#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private PHX.PHX_TargetLine[] cachePHX_TargetLine;

		
		public PHX.PHX_TargetLine PHX_TargetLine(float fontSize, eLeftRight labelSide, eAboveBelow labelArea)
		{
			return PHX_TargetLine(Input, fontSize, labelSide, labelArea);
		}


		
		public PHX.PHX_TargetLine PHX_TargetLine(ISeries<double> input, float fontSize, eLeftRight labelSide, eAboveBelow labelArea)
		{
			if (cachePHX_TargetLine != null)
				for (int idx = 0; idx < cachePHX_TargetLine.Length; idx++)
					if (cachePHX_TargetLine[idx].FontSize == fontSize && cachePHX_TargetLine[idx].LabelSide == labelSide && cachePHX_TargetLine[idx].LabelArea == labelArea && cachePHX_TargetLine[idx].EqualsInput(input))
						return cachePHX_TargetLine[idx];
			return CacheIndicator<PHX.PHX_TargetLine>(new PHX.PHX_TargetLine(){ FontSize = fontSize, LabelSide = labelSide, LabelArea = labelArea }, input, ref cachePHX_TargetLine);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.PHX.PHX_TargetLine PHX_TargetLine(float fontSize, eLeftRight labelSide, eAboveBelow labelArea)
		{
			return indicator.PHX_TargetLine(Input, fontSize, labelSide, labelArea);
		}


		
		public Indicators.PHX.PHX_TargetLine PHX_TargetLine(ISeries<double> input , float fontSize, eLeftRight labelSide, eAboveBelow labelArea)
		{
			return indicator.PHX_TargetLine(input, fontSize, labelSide, labelArea);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.PHX.PHX_TargetLine PHX_TargetLine(float fontSize, eLeftRight labelSide, eAboveBelow labelArea)
		{
			return indicator.PHX_TargetLine(Input, fontSize, labelSide, labelArea);
		}


		
		public Indicators.PHX.PHX_TargetLine PHX_TargetLine(ISeries<double> input , float fontSize, eLeftRight labelSide, eAboveBelow labelArea)
		{
			return indicator.PHX_TargetLine(input, fontSize, labelSide, labelArea);
		}

	}
}

#endregion
